[SOLVED]Can not finish upgrading OTRS from 3.2 to 3.3

Moderator: crythias

Post Reply
BrianYin
OTRS newbie
Posts: 76
Joined: 29 Aug 2012, 10:12
OTRS Version?: 3.1.12

[SOLVED]Can not finish upgrading OTRS from 3.2 to 3.3

Post by BrianYin »

hi, everyone. I did our OTRS upgrading job from 3.2 to 3.3 by following the steps from our website viewtopic.php?f=60&t=18543, unfortunately i failed in DB update part (step9-step11)
the Apache log
[Wed Apr 23 14:27:17 2014] -e: DBI connect('database=otrs;host=localhost;','otrs',...) failed: Access denied for user 'otrs'@'localhost' (using password: YES) at I:/PROGRA~1/OTRS/OTRS//Kernel/System/DB.pm line 256
ERROR: OTRS-CGI-10 Perl: 5.12.3 OS: MSWin32 Time: Wed Apr 23 14:27:17 2014
i don't know why? and what should i do?
Thanks!
Last edited by BrianYin on 25 Apr 2014, 04:40, edited 1 time in total.
OTRS Version: 3.1.9
OS: windows 2003
ITSM 3.1.6
MySQL 5.xxx

crythias
Moderator
Posts: 10129
Joined: 04 May 2010, 18:38
OTRS Version?: 5.0.x
Location: SouthWest Florida, USA
Contact:

Re: Can not finish upgrading OTRS from 3.2 to 3.3

Post by crythias »

Fix the Creds in Config.pm.
OTRS 5.0.x (private/testing/public) on Linux with MySQL database. Also on github.
Please edit your signature to include your OTRS version, Operating System, and database type.
Click Subscribe Topic below to get notifications. Consider amending your topic title to include [SOLVED] if it is so.
Need help? Before you ask

BrianYin
OTRS newbie
Posts: 76
Joined: 29 Aug 2012, 10:12
OTRS Version?: 3.1.12

Re: Can not finish upgrading OTRS from 3.2 to 3.3

Post by BrianYin »

crythias wrote:Fix the Creds in Config.pm.
thanks , but i don't know where i should fix, the only different between 3.2 &3.3 is its installed path, version 3.2 is in program files but version 3.3 was installed in the drive root directly

Code: Select all

    # (The database host.)
    $Self->{'DatabaseHost'} = 'localhost';
    # Database
    # (The database name.)
    $Self->{'Database'} = 'otrs';
    # DatabaseUser
    # (The database user.)
    $Self->{'DatabaseUser'} = 'otrs';
    # DatabasePw
    # (The password of database user. You also can use bin/otrs.CryptPassword.pl
    # for crypted passwords.)
    $Self->{'DatabasePw'} = 'hot';
    # DatabaseDSN
    # (The database DSN for MySQL ==> more: "man DBD::mysql")
    $Self->{DatabaseDSN} = "DBI:mysql:database=$Self->{Database};host=$Self->{DatabaseHost};";
OTRS Version: 3.1.9
OS: windows 2003
ITSM 3.1.6
MySQL 5.xxx

crythias
Moderator
Posts: 10129
Joined: 04 May 2010, 18:38
OTRS Version?: 5.0.x
Location: SouthWest Florida, USA
Contact:

Re: Can not finish upgrading OTRS from 3.2 to 3.3

Post by crythias »

There is a difference in Config.pm between 3.2 and 3.3
$Self->{'DatabaseHost'} = 'localhost';
# Database
# (The database name.)
$Self->{'Database'} = 'otrs';
# DatabaseUser
# (The database user.)
$Self->{'DatabaseUser'} = 'otrs';
OTRS 5.0.x (private/testing/public) on Linux with MySQL database. Also on github.
Please edit your signature to include your OTRS version, Operating System, and database type.
Click Subscribe Topic below to get notifications. Consider amending your topic title to include [SOLVED] if it is so.
Need help? Before you ask

BrianYin
OTRS newbie
Posts: 76
Joined: 29 Aug 2012, 10:12
OTRS Version?: 3.1.12

Re: Can not finish upgrading OTRS from 3.2 to 3.3

Post by BrianYin »

crythias wrote:There is a difference in Config.pm between 3.2 and 3.3
$Self->{'DatabaseHost'} = 'localhost';
# Database
# (The database name.)
$Self->{'Database'} = 'otrs';
# DatabaseUser
# (The database user.)
$Self->{'DatabaseUser'} = 'otrs';
Thanks for your help, it works.
but i still have a problem after upgrading otrs to 3.3, i need to install ITSM & other packages. especially for ITSM it took too much long time in processing i don't know why
after i finished all the installation i did a test to make sure this version works fine.
unforturnately when i created a ticket for test system showed that...

Code: Select all

, SQL: 'INSERT INTO article (ticket_id, article_type_id, article_sender_type_id,[..] 
it seems like my database didn't works fine. but i cope all the data from old one to the new one as the article said and ran the .sql files as well
why is that?
OTRS Version: 3.1.9
OS: windows 2003
ITSM 3.1.6
MySQL 5.xxx

BrianYin
OTRS newbie
Posts: 76
Joined: 29 Aug 2012, 10:12
OTRS Version?: 3.1.12

Re: Can not finish upgrading OTRS from 3.2 to 3.3

Post by BrianYin »

when i execute DBUpdate-to-3.2.mysql.sql
it went wrong

Code: Select all

[Err] 1091 - Can't DROP 'group_read'; check that column/key exists
[Err] # ----------------------------------------------------------
#  driver: mysql, generated: 2012-11-07 17:20:55
# ----------------------------------------------------------
# ----------------------------------------------------------
#  alter table ticket
# ----------------------------------------------------------
ALTER TABLE ticket DROP group_read;
[Msg] Finished - Unsuccessfully
why is that?
OTRS Version: 3.1.9
OS: windows 2003
ITSM 3.1.6
MySQL 5.xxx

crythias
Moderator
Posts: 10129
Joined: 04 May 2010, 18:38
OTRS Version?: 5.0.x
Location: SouthWest Florida, USA
Contact:

Re: Can not finish upgrading OTRS from 3.2 to 3.3

Post by crythias »

> upgrading OTRS from 3.2 to 3.3
> when i execute DBUpdate-to-3.2.mysql.sql
> it went wrong

I would not disagree with this assessment. There is no need to run the upgrade *to* 3.2 if you were *on* 3.2
OTRS 5.0.x (private/testing/public) on Linux with MySQL database. Also on github.
Please edit your signature to include your OTRS version, Operating System, and database type.
Click Subscribe Topic below to get notifications. Consider amending your topic title to include [SOLVED] if it is so.
Need help? Before you ask

BrianYin
OTRS newbie
Posts: 76
Joined: 29 Aug 2012, 10:12
OTRS Version?: 3.1.12

Re: Can not finish upgrading OTRS from 3.2 to 3.3

Post by BrianYin »

crythias wrote:> upgrading OTRS from 3.2 to 3.3
> when i execute DBUpdate-to-3.2.mysql.sql
> it went wrong

I would not disagree with this assessment. There is no need to run the upgrade *to* 3.2 if you were *on* 3.2
my fault i type wrong version
when i execute DBUpdate-to-3.3.mysql.sql
system showed that error

I was upgrading otrs from 3.1.12 to 3.3.6 which i need to upgrade it to 3.2.1 then 3.3.1....
OTRS Version: 3.1.9
OS: windows 2003
ITSM 3.1.6
MySQL 5.xxx

crythias
Moderator
Posts: 10129
Joined: 04 May 2010, 18:38
OTRS Version?: 5.0.x
Location: SouthWest Florida, USA
Contact:

Re: Can not finish upgrading OTRS from 3.2 to 3.3

Post by crythias »

BrianYin wrote:i need to upgrade it to 3.2.1 then 3.3.1....
I'd recommend 3.2.latest, then 3.3.latest

However, I don't know the current state of your database. If you run a drop table (or column) again, the error will show that the table (or column) that dropped the first time no longer exists.
OTRS 5.0.x (private/testing/public) on Linux with MySQL database. Also on github.
Please edit your signature to include your OTRS version, Operating System, and database type.
Click Subscribe Topic below to get notifications. Consider amending your topic title to include [SOLVED] if it is so.
Need help? Before you ask

BrianYin
OTRS newbie
Posts: 76
Joined: 29 Aug 2012, 10:12
OTRS Version?: 3.1.12

Re: Can not finish upgrading OTRS from 3.2 to 3.3

Post by BrianYin »

crythias wrote:
BrianYin wrote:i need to upgrade it to 3.2.1 then 3.3.1....
I'd recommend 3.2.latest, then 3.3.latest

However, I don't know the current state of your database. If you run a drop table (or column) again, the error will show that the table (or column) that dropped the first time no longer exists.
i just skipped step 9 and finished other steps and logged into OTRS, the system responsed too slow than before.....
so you suggest 3.1.12 -- 3.2.13 --3.3.6?
OTRS Version: 3.1.9
OS: windows 2003
ITSM 3.1.6
MySQL 5.xxx

crythias
Moderator
Posts: 10129
Joined: 04 May 2010, 18:38
OTRS Version?: 5.0.x
Location: SouthWest Florida, USA
Contact:

Re: Can not finish upgrading OTRS from 3.2 to 3.3

Post by crythias »

BrianYin wrote:so you suggest 3.1.12 -- 3.2.13 --3.3.6?
Yes, but most roads lead to Rome, so don't worry about it.
OTRS 5.0.x (private/testing/public) on Linux with MySQL database. Also on github.
Please edit your signature to include your OTRS version, Operating System, and database type.
Click Subscribe Topic below to get notifications. Consider amending your topic title to include [SOLVED] if it is so.
Need help? Before you ask

jojo
Moderator
Posts: 14859
Joined: 26 Jan 2007, 14:50
OTRS Version?: Git Master
Contact:

Re: Can not finish upgrading OTRS from 3.2 to 3.3

Post by jojo »

BrianYin wrote:so you suggest 3.1.12 -- 3.2.13 --3.3.6?
actually it is 3.1.12 -> 3.2.16 -> 3.3.6
"Production": OTRS™ 8, OTRS™ 7, STORM powered by OTRS
"Testing": ((OTRS Community Edition)) and git Master

Never change Defaults.pm! :: Blog
Professional Services:: http://www.otrs.com :: enjoy@otrs.com

BrianYin
OTRS newbie
Posts: 76
Joined: 29 Aug 2012, 10:12
OTRS Version?: 3.1.12

Re: Can not finish upgrading OTRS from 3.2 to 3.3

Post by BrianYin »

crythias wrote:
BrianYin wrote:so you suggest 3.1.12 -- 3.2.13 --3.3.6?
Yes, but most roads lead to Rome, so don't worry about it.
i start from the begining, installed 3.2.1 and executed DBUpdate-to-3.2.mysql.sql ,system showed error

Code: Select all

[Err] 1050 - Table 'pm_process' already exists
[Err] # ----------------------------------------------------------
#  create table pm_process
# ----------------------------------------------------------
CREATE TABLE pm_process (
    id INTEGER NOT NULL AUTO_INCREMENT,
    entity_id VARCHAR (50) NOT NULL,
    name VARCHAR (200) NOT NULL,
    state_entity_id VARCHAR (50) NOT NULL,
    layout LONGBLOB NOT NULL,
    config LONGBLOB NOT NULL,
    create_time DATETIME NOT NULL,
    create_by INTEGER NOT NULL,
    change_time DATETIME NOT NULL,
    change_by INTEGER NOT NULL,
    PRIMARY KEY(id),
    UNIQUE INDEX pm_process_entity_id (entity_id)
);
[Msg] Finished - Unsuccessfully
--------------------------------------------------
why's that?
OTRS Version: 3.1.9
OS: windows 2003
ITSM 3.1.6
MySQL 5.xxx

crythias
Moderator
Posts: 10129
Joined: 04 May 2010, 18:38
OTRS Version?: 5.0.x
Location: SouthWest Florida, USA
Contact:

Re: Can not finish upgrading OTRS from 3.2 to 3.3

Post by crythias »

Because it already exists.
Assuming you applied your changes to production and didn't restore from a backup, anything you've done has already been done.
OTRS 5.0.x (private/testing/public) on Linux with MySQL database. Also on github.
Please edit your signature to include your OTRS version, Operating System, and database type.
Click Subscribe Topic below to get notifications. Consider amending your topic title to include [SOLVED] if it is so.
Need help? Before you ask

BrianYin
OTRS newbie
Posts: 76
Joined: 29 Aug 2012, 10:12
OTRS Version?: 3.1.12

Re: Can not finish upgrading OTRS from 3.2 to 3.3

Post by BrianYin »

crythias wrote:Because it already exists.
Assuming you applied your changes to production and didn't restore from a backup, anything you've done has already been done.
may i say i can ignore this error and execute others? or i delete that table manually and execute this query again?
OTRS Version: 3.1.9
OS: windows 2003
ITSM 3.1.6
MySQL 5.xxx

crythias
Moderator
Posts: 10129
Joined: 04 May 2010, 18:38
OTRS Version?: 5.0.x
Location: SouthWest Florida, USA
Contact:

Re: Can not finish upgrading OTRS from 3.2 to 3.3

Post by crythias »

BrianYin wrote:may i say i can ignore this error and execute others? or i delete that table manually and execute this query again?
Any advice I give at this point is with a very strong "Don't blame me for any wrong advice you decide to do."
1) Backup your database.
2) Either of those choices are likely "okay" but I would tend toward the least destructive path.

I really can't give any more assistance on this than the standard "Backup. Test Backup. Make a Backup. Try something (on a dev box!) that sounds like it should work. If it does, you don't have to ask if it will. If it doesn't ... you made a backup for a reason, right? And you tested that you can restore it, right?"
OTRS 5.0.x (private/testing/public) on Linux with MySQL database. Also on github.
Please edit your signature to include your OTRS version, Operating System, and database type.
Click Subscribe Topic below to get notifications. Consider amending your topic title to include [SOLVED] if it is so.
Need help? Before you ask

Post Reply